SoundSoftware Code Site - Bug #546
Tag auto complete is assuming that there are projects on the site to populate the dialogue
2012-11-13 06:20 PM - Luis Figueira

Status: Feedback Start date: 2012-11-13
Priority: Low Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

The JS functino observeProjectTagsField is assuming that there are projects on the site in order to populate the add tags dialogue.

This can be seen in the following files:

vendor/plugins/redmine_tags/app/views/projects/_filter_search_tags.html.erb
9: <%= javascript_tag "observeProjectTagsField('#{url_for(:controller => 'auto_completes', :action => 'project_search_tags',
:project_id => Project.first.id)}', true)" -%>

vendor/plugins/redmine_tags/app/views/projects/_filter_tags.html.erb
10: <%= javascript_tag "observeProjectTagsField('#{url_for(:controller => 'auto_completes', :action => 'project_tags',
‘project_id => Project.first.id)})" %>

vendor/plugins/redmine_tags/app/views/projects/_tags_form.html.erb
9: <%= javascript_tag "observeProjectTagsField('#{url_for(:controller => 'auto_completes', :action => 'project_tags', :project_id
=> Project.first.id)}', false)" %>

History

#1 - 2012-11-13 08:20 PM - Luis Figueira
- Status changed from New to In Progress
- Priority changed from Normal to Low

To see this happening, just go to (in an empty instance of redmine) to /projects

#2 - 2012-11-21 04:40 PM - Luis Figueira

- Status changed from In Progress to Feedback

- Assignee changed from Luis Figueira to Chris Cannam
- % Done changed from 0 to 100

Fixed in commit:baf70e98d8ab. Already merged to the luisf branch.
